Skip to main content
GET
/
v2
/
actions
List
curl --request GET \
  --url https://api.incident.io/v2/actions
{
  "actions": [
    {
      "assignee": {
        "email": "lisa@incident.io",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Lisa Karlin Curtis",
        "role": "viewer",
        "slack_user_id": "U02AYNF2XJM"
      },
      "completed_at": "2021-08-17T13:28:57.801578Z",
      "created_at": "2021-08-17T13:28:57.801578Z",
      "creator": {
        "alert": {
          "id": "01GW2G3V0S59R238FAHPDS1R66",
          "title": "*errors.withMessage: PG::Error failed to connect"
        },
        "api_key": {
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "My test API key"
        },
        "user": {
          "email": "lisa@incident.io",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Lisa Karlin Curtis",
          "role": "viewer",
          "slack_user_id": "U02AYNF2XJM"
        },
        "workflow": {
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "My little workflow"
        }
      },
      "description": "Call the fire brigade",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "status": "outstanding",
      "updated_at": "2021-08-17T13:28:57.801578Z"
    }
  ]
}

Query Parameters

incident_id
string

Find actions related to this incident

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

incident_mode
enum<string>

Filter to actions from incidents of the given mode. If not set, only actions from standard and retrospective incidents are returned

Available options:
standard,
retrospective,
test,
tutorial,
stream
Example:

"standard"

Response

200 - application/json

OK response.

actions
object[]
required
Example:
[
{
"assignee": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
},
"completed_at": "2021-08-17T13:28:57.801578Z",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
},
"description": "Call the fire brigade",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"status": "outstanding",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]